%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           skstream
Version:        0.3.9
Release:        9%{?dist}
Summary:        C++ I/O library for WorldForge clients/servers

Group:          Development/Libraries
License:        GPLv2+
URL:            http://worldforge.org/dev/eng/libraries/skstream
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.bz2
Patch1:         skstream-0.3.6-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cppunit-devel doxygen

%description
skstream is an iotream C++ socket library and is recommended for use as a
transport for Atlas-C++. It is capable of creating iostream-based socket
connections for both clients and servers.


%package devel
Summary:        Development files for skstream
Group:   Development/Libraries
Requires: pkgconfig %{name} = %{version}-%{release}


%description devel
Libraries and header files for developing applications that use skstream.


%prep
%setup -q
%patch1 -p0


%build
%configure
make %{?_smp_mflags}
make docs


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}-0.3.la

# Fix one file that gets installed incorrectly
mv $RPM_BUILD_ROOT%{_libdir}/%{name}-0.3/include/%{name}/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}-0.3/%{name}

install -dm 755 $RPM_BUILD_ROOT%{_pkgdocdir}
cp -pR AUTHORS ChangeLog COPYING README README.FreeSockets TODO doc/* $RPM_BUILD_ROOT%{_pkgdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

# Don't choke on errors in the test suite since some tests rely on some
# network services being enabled, or being run as root, in order to
# pass.
%check
# The tests hang on the koji builders so we need to skip them
# Run tests in debug mode so asserts won't be skipped
# sed -i -e 's/-DNDEBUG/-DDEBUG/' test/Makefile
# make %{?_smp_mflags} check || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%dir %{_pkgdocdir}
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/ChangeLog
%{_pkgdocdir}/COPYING
%{_pkgdocdir}/README
%{_pkgdocdir}/README.FreeSockets
%{_pkgdocdir}/TODO
%{_libdir}/lib%{name}-0.3.so.*

%files devel
%defattr(-,root,root,-)
%{_pkgdocdir}/html
%{_pkgdocdir}/latex
%{_includedir}/%{name}-0.3
%{_libdir}/lib%{name}-0.3.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.9-7
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Dec 14 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.3.9-4
- Build API docs again.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Bruno Wolff III <bruno@wolff.to> - 0.3.9-1
- New upstream update 0.3.9

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-3
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 07 2011 Bruno Wolff III <bruno@wolff.to> - 0.3.8-1
- Upstream update to 0.3.8

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.3.6-5
- Fixing build for recent compilers

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 9 2008 Wart <wart at kobold.org> 0.3.6-3
- Rebuild for gcc 4.3

* Mon Aug 20 2007 Wart <wart at kobold.org> 0.3.6-2
- License tag clarification
- Better download URL

* Thu Oct 19 2006 Wart <wart at kobold.org> 0.3.6-1
- Update to 0.3.6

* Mon Aug 28 2006 Wart <wart at kobold.org> 0.3.5-4
- Rebuild for Fedora Extras

* Tue Jul 18 2006 Wart <wart at kobold.org> 0.3.5-3
- Fix typo in description
- Add comment mentioning known test failures

* Fri Jul 14 2006 Wart <wart at kobold.org> 0.3.5-2
- Added Requires: pkgconfig to -devel subpackage
- Don't fail on test failures as they depend on a local echo service,
  which isn't always available in a build system.

* Thu Jun 15 2006 Wart <wart at kobold.org> 0.3.5-1
- Initial spec file for Fedora Extras
